Manage orders - Get an order attachment by id

Gets a specific attachment associated with an order.

GET https://api.partnercenter.microsoft.com/v{version}/customers/{customer_id}/orders/{order_id}/attachment/{attachment_id}

URI Parameters

Name In Required Type Description
attachment_id
path True

string

The attachment identifier.

customer_id
path True

string

The customer identifier.

order_id
path True

string

The order identifier.

version
path True

string

The API version number.

Request Header

Name Required Type Description
Authorization True

string

Authorization Bearer token

ms-correlationid

string

Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request

ms-cv

string

Used for tracking requests internally. If a ms-cv is not provided, the server will generate a new one for each request

ms-requestid

string

Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request

Accept True

string

Typically application/octet-stream.

Responses

Name Type Description
200 OK

file

The request was successful. The response body contains the attachment file using its stored content type.

Media Types: "application/octet-stream"

400 Bad Request

There was a missing or an invalid input. The response body will provide the error details.

Media Types: "application/octet-stream"

401 Unauthorized

The request was not authenticated. The client needs to authenticate with the partner API service first.

Media Types: "application/octet-stream"

403 Forbidden

The request was authenticated but was refused since the caller does not have the rights to invoke it.

Media Types: "application/octet-stream"

404 Not Found

The resource is not found or not available with the given input parameters.

Media Types: "application/octet-stream"

500 Internal Server Error

The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this.

Media Types: "application/octet-stream"